<?php
	/*------------------------------------*\
	-------- Custom Login Page
	\*------------------------------------*/
	function ip_login_styles() { ?>
		<style type="text/css">
			body {
				background-image:
					-webkit-radial-gradient(50% 160px, #5cb8b0, transparent), 
					url('<?php echo get_stylesheet_directory_uri(); ?>/assets/img/wp-login/wp-login-bg.png');
				background-image:
					-moz-radial-gradient(50% 160px, #5cb8b0, transparent), 
					url('<?php echo get_stylesheet_directory_uri(); ?>/assets/img/wp-login/wp-login-bg.png');
				background-image:
					-ms-radial-gradient(50% 160px, #5cb8b0, transparent), 
					url('<?php echo get_stylesheet_directory_uri(); ?>/assets/img/wp-login/wp-login-bg.png');
				background-image:
					radial-gradient(circle, 50% 160px, #5cb8b0, transparent), 
					url('<?php echo get_stylesheet_directory_uri(); ?>/assets/img/wp-login/wp-login-bg.png');
			}

			.login h1 a {
				width:305px;
				height:36px;
				margin-bottom:0px;
				display:inline-block;
				background:url('<?php echo get_stylesheet_directory_uri(); ?>/assets/img/wp-login/wp-login-logo.png') no-repeat;
			}

			.login form {
				border-radius:3px;
			}

			.login label {
				font-size:16px;
				color:#6a6a6a;
			}

			.login form .input {
				height:40px;
				padding:0px 10px;
				box-shadow:none;
				border-radius:3px;
				border-color:#e2e2e2;
				background:#f2f2f2;
				font-size:14px;
			}

			.login form .input:hover, .login form .input:focus {
				border-color:#54b1a9;
			}

			.login .button-primary, .login .button-group.button-large .button, .login .button.button-large {
				height:40px;
				padding:0px 20px;
				display:inline-block;
				box-shadow:none;
				border:none;
				background:#54b1a9;
				font-size:16px;
				color:#fff;
				text-shadow:0px 1px 0px rgba(0,0,0,0.2);
			}

			.login .button-primary:hover {
				background:#70cbc3;
			}

			.login .forgetmenot {
				margin-top:10px;
			}

			.login #nav, .login #backtoblog {
				margin:20px 0px 0px;
				padding:0px;
			}

			.login #nav a, .login #backtoblog a {
				text-shadow:0px 1px 0px rgba(0,0,0,0.2);
				color:#fff;
			}

			.login #nav a:hover, .login #backtoblog a:hover {
				text-decoration:underline;
				color:#fff;
			}

			.login #nav {
				float:right;
			}

			.login #backtoblog {
				float:left;
			}
		</style>
<?php }

	add_action('login_enqueue_scripts', 'ip_login_styles');

?>